Last Comment Bug 739188 - Allow crosscompiling for Windows without NSIS
: Allow crosscompiling for Windows without NSIS
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Windows XP
: -- normal (vote)
: mozilla14
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks: 604266 741340
  Show dependency treegraph
 
Reported: 2012-03-26 05:22 PDT by Jacek Caban
Modified: 2012-04-02 04:36 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (6.04 KB, patch)
2012-03-26 05:22 PDT, Jacek Caban
ted: review+
Details | Diff | Review
diff -w (4.93 KB, patch)
2012-03-26 06:46 PDT, Jacek Caban
no flags Details | Diff | Review

Description Jacek Caban 2012-03-26 05:22:56 PDT
Created attachment 609290 [details] [diff] [review]
fix v1.0

From bug 604266 comment 28:

The patch removing --disable-installer broke cross compilation. Ideally, cross compiling installer should be fixed. I've tried playing with that. nsis seems prepared for this. It has POSIX version that produces win32 binaries. Sadly, the Unicode NSIS fork totally broke this ability.

That's why I think the solution is to make it still possible to compile without installer, but limit the code it affects so that it doesn't complicate supported configurations. The attached patch does it by making lack of Unicode NSIS not critical when cross compiling (this way no configure option is needed). Also, instead of using MOZ_INSTALLER, it uses MAKENSISU variable in a few makefile-related places, so that MOZ_INSTALLER can still be removed.


Attaching fixed patch.
Comment 1 Serge Gautherie (:sgautherie) 2012-03-26 06:27:31 PDT
Could you attach a "diff -w" too, to ease review?
Comment 2 Jacek Caban 2012-03-26 06:46:59 PDT
Created attachment 609306 [details] [diff] [review]
diff -w

Sure. I usually use git, trying to make the diff as similar to hg as possible, but I'm not sure how to emulate diff -w. The attached patch is produced by |hg diff -w| from plain mercurial repository.

I'm waiting with r? for try results:
https://tbpl.mozilla.org/?tree=Try&rev=b0833861ede4
Comment 3 Jacek Caban 2012-03-26 08:29:29 PDT
Comment on attachment 609290 [details] [diff] [review]
fix v1.0

Succeeded on try
Comment 4 Mozilla RelEng Bot 2012-03-26 08:31:27 PDT
Try run for b0833861ede4 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=b0833861ede4
Results (out of 2 total builds):
    success: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jacek@codeweavers.com-b0833861ede4
Comment 5 Justin Wood (:Callek) 2012-03-26 08:45:14 PDT
Comment on attachment 609290 [details] [diff] [review]
fix v1.0

Serge is not a Firefox build config peer, redirecting to kyle
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-03-26 09:09:39 PDT
Comment on attachment 609290 [details] [diff] [review]
fix v1.0

Redirecting assuming you want this reviewed before May.
Comment 7 Ted Mielczarek [:ted.mielczarek] 2012-03-27 09:33:42 PDT
Comment on attachment 609290 [details] [diff] [review]
fix v1.0

Review of attachment 609290 [details] [diff] [review]:
-----------------------------------------------------------------

This seems fine for now. Kind of unfortunate that you don't have a working makesnsisu for cross-compiling :-/
Comment 8 Jacek Caban 2012-03-28 02:51:16 PDT
Thanks for the review.

https://hg.mozilla.org/integration/mozilla-inbound/rev/6e232128a8ca
Comment 9 Ed Morley [:emorley] 2012-03-28 14:00:13 PDT
Please can you set the target milestone when landing on inbound, along the lines of http://blog.bonardo.net/2012/03/23/how-you-can-help-mozilla-inbound-sheriffs-when-pushing :-)

https://hg.mozilla.org/mozilla-central/rev/6e232128a8ca

Note You need to log in before you can comment on or make changes to this bug.